Bug 821125 - Claims internal error and fails to install packages
Claims internal error and fails to install packages
Product: Fedora
Classification: Fedora
Component: apper (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-12 05:44 EDT by Mark Stanton
Modified: 2013-02-13 16:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 16:32:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Stanton 2012-05-12 05:44:06 EDT
Description of problem:

I have 11 (out of about forty) packages that won't install, instead giving an "internal error".

How reproducible:

Will not install packages kdenetwork-{kopete, kppp, krdc, krfb, common, kdnssd, & associated *-libs. , all version 7:4.8.3-1.fc16

Since it seems to be a apper error I have reported this here not on the KDE system.

Steps to Reproduce:
1. Attempt to install any of these updates 
Actual results:

Traceback (most recent call last):
File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2330, in _update_packages
txmbr = self.yumbase.update(po=pkg)
File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4571, in update
updated_pkg = self.getInstalledPackageObject(updated)
File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3563, in getInstalledPackageObject
raise Errors.RpmDBError, _('Package tuple $s could not be found in rpmdb') $ str(pkgtup)
RpmDBError: Package tuple ('kdenetwork-kget', 'x86_64', '7', '4.8.2', '1.fc16') could not be found in rpmdb
Comment 1 Rex Dieter 2012-05-12 21:31:23 EDT
I'm curious if

yum install <same_list_of_apps>

would exhibit the same problem.  Mind trying that?
Comment 2 Mark Stanton 2012-05-13 13:23:53 EDT
I did it with just one app (having checked that apper still complained), kdenetwork-kget.

Yum gives me

Error: Package tuple ('kdenetwork-kget', 'x86_64', '7', '4.8.2', '1.fc16') could not be found in rpmdb

To reiterate, I'm only accepting updates that apper tells me are waiting.
Comment 3 Rex Dieter 2012-05-13 15:53:34 EDT
OK, you seem to have some low-level rpmdb problem.

one tool that can help diagnose stuff like this is in 'yum-utils' pkg, package-cleanup.

Run (as root): 

package-cleanup --problems

which will help identify current rpm/yum db problems, like broken dependencies.
Comment 4 Mark Stanton 2012-05-14 12:00:07 EDT
Running the package-cleanup command above gives me

Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Package kdenetwork-kget-libs-4.8.2-1.fc16.x86_64 requires kdenetwork-kget = ('7', '4.8.2', '1.fc16')

So I thought I'd first install kdenetwork-get (from apper).  It tells me it needs the ...-libs, but if I try to install just the libs, it tells me it needs kdenetwork-get.

I tried selecting *all* the kde-network related updates, but that didn't work either.

This looks like some vicious circle problem and I have no idea how to resolve it.
Comment 5 Fedora End Of Life 2013-01-16 12:09:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Fedora End Of Life 2013-02-13 16:33:01 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.